<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Javascript-Reactive DOM with Fetch</title>
  </head>
  <body>
    <h1>Add Post</h1>
    <br />
    <form id="form-add-post">
      <span>Title</span><br />
      <input type="text" id="txt-title" /><br />
      <span>Body</span><br />
      <textarea type="text" id="txt-body" cols="30" rows="10"></textarea><br />
      <button type="submit">Create</button>
    </form>
    <hr />
    <h1>Edit Post</h1>
    <br />
    <form id="form-edit-post">
      <input type="text" id="txt-edit-id" hidden /><br />
      <span>Title</span><br />
      <input type="text" id="txt-edit-title" /><br />
      <span>Body</span><br />
      <textarea type="text" id="txt-edit-body" cols="30" rows="10"></textarea
      ><br />
      <button type="submit" id="btn-submit-update" disabled>Update</button>
    </form>
    <h1>Posts</h1>
    <div id="div-post-entries"></div>
    <script type="text/javascript" src="index.js"></script>
  </body>
</html>
